%define module_name Dancer2-Plugin-Showterm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/ShareDir/Tarball.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: Replay terminal typescript captures
Group: Development/Perl
License: perl
URL: https://github.com/yanick/Dancer2-Plugin-Showterm

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin is a the Dancer2 manpage port of the wonderful http://showterm.io, which allows
terminal screen captures taken via the UNIX tool script to be 
replayed in the browser. 

The plugin will intercept any request for files with a .showterm extension and will generate an
html page that will be able to replay the same file, but with the .typescript extension.

In other words, if you put the file mysession.typescript in the public folder of the app, then the
url /mysession.showterm will display its webified version. The webified version can also be embedded in other 
pages via iframes:

        <iframe src="/mysession.showterm" 
                width="660" height="360" style="border: 1px solid #444">
        </iframe>

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CODE_OF_CONDUCT.md Changes README.mkdn CONTRIBUTORS AUTHOR_PLEDGE LICENSE
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
* Fri Jul 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1
- regenerated from template by package builder

* Sat Jul 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1
- regenerated from template by package builder

* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1
- initial import by package builder

